Announcement: Upgrade to macOS Mojave

With features like Dark Mode, Stacks, and four new built-in apps, macOS Mojave helps you get more out of every click. 
Find out how to upgrade to macOS Mojave > https://support.apple.com/macos/mojave

Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: Can't upgrade to El Capitan 10.11 on Macbook Pro (2015)

Due to Adobe CC 2018 requirements, my Macbook Pro has to run on a version of OS newer than it currently has.

At the moment it is on Yosemite 10.10.5 (due to software reason I haven't upgraded yet), but now it needs "macOS 10.11 or later" to run Adobe 2018.


Once I found the El Capitan page on the AppStore and click on "Get". I get an error stating "We could not complete you purchase. This version of OS X 10.11 cannot be installed on this computer" The learn more button takes me nowhere. According to the El Capitan requirements, the Macbook Pro should be 2007 and older.


Why can't I upgrade?


I do not want to upgrade to Sierra (again, due to some softwares on the computer), but I really need a newer version of macOS.


Any help is appreciated.

MacBook Pro with Retina display, OS X Yosemite (10.10.5)

Posted on

Reply

Page content loaded

Mar 12, 2018 3:52 AM in response to KarienFoghoundStudios In response to KarienFoghoundStudios

So as your Mac is capable of upgrading to High Sierra, that is what Apple would prefer you to do, so the App Store gives you the error message when you try to upgrade to El Capitan.

If you have a Mac that cannot be upgraded to Sierra or High Sierra then you could login to the App Store using the Apple ID you use on this 2015 Mac and download El Capitan there, once the download has been completed and before starting the install procedure go to the Applications folder and make a copy of the install MacOS X El Capitan.app and transfer it to your 2015 Mac, double click the app to start the installation procedure. If you do not have another Mac to do this on do you know of someone who does have a Mac that is not supported in Sierra or High Sierra but could download El Capitan.

Mar 12, 2018 3:52 AM

Reply Helpful

Mar 12, 2018 10:14 AM in response to KarienFoghoundStudios In response to KarienFoghoundStudios

Check to make sure your applications are compatible.


Application Compatibility


El Capitan 10.11 Compatibility information




macOS Sierra 10.12: Compatible Apps



Also check to make sure there is a compatible driver for your printer.


Do a backup before installing, preferable 2 backups on 2 different drives.

Mar 12, 2018 10:14 AM

Reply Helpful
User profile for user: KarienFoghoundStudios

Question: Can't upgrade to El Capitan 10.11 on Macbook Pro (2015)